Skip to main content
PUT
/
base
/
{baseId}
/
node
/
{nodeId}
cURL
curl --request PUT \
  --url https://app.teable.ai/api/base/%7BbaseId%7D/node/%7BnodeId%7D \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
  --header 'content-type: application/json' \
  --data '{"name":"string","icon":"string"}'
{
  "id": "<string>",
  "parentId": "<string>",
  "resourceId": "<string>",
  "order": 123,
  "resourceType": "table",
  "resourceMeta": {
    "name": "<string>",
    "icon": "<string>",
    "defaultViewId": "<string>"
  },
  "defaultUrl": "<string>",
  "parent": {
    "id": "<string>"
  },
  "children": [
    {
      "id": "<string>",
      "order": 123
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

baseId
string
required
nodeId
string
required

Body

application/json
name
string
Minimum string length: 1
icon
string

Response

200 - application/json

Updated node

id
string
required
parentId
string | null
required
resourceId
string
required
order
number
required
resourceType
enum<string>
required
Available options:
table
resourceMeta
object
required
defaultUrl
string
parent
object
children
object[] | null
Last modified on March 5, 2026